package edu.ntua.ivml.qa.utils;

public class Counter {

	private int count;
	
	public Counter(int i) {
		count = i;
	}
	
	public void increase() {
		count++;
	}

	public void decrease() {
		count--;
	}
	
	public int getValue() {
		return count;
	}
	
	public int hashCode() {
		return count;
	}
	
	public boolean equals(Object obj) {
		if (!(obj instanceof Counter)) {
			return false;
		}
		
		return count == ((Counter)obj).count;
	}
	
	public String toString() {
		return count + "";
	}
	
}
