package edu.ntua.ivml.qa.lp;

import java.util.ArrayList;
import java.util.Arrays;

public class AtomArray {

    public static int[] termIndexPattern(ArrayList<Atom> atoms, Variable t) {
    	int[] res = new int[atoms.size()];
    	Arrays.fill(res, 0);
    	
    	for (int i = 0; i < res.length; i++) {
    		Term[] terms = atoms.get(i).getArguments().getTerms();
    		
    		for (int j = 0; j < terms.length; j++) {
    			if (terms[j].equals(t)) {
    				res[i] += (j + 1);
    			}
    	 	}
    	}
    	
    	return res;
    }
}
