package edu.ntua.ivml.qa.lp;

public abstract class SimpleTerm extends Term implements Cloneable {

	protected String name;
	
	protected SimpleTerm(String name) {
		this.name = name;
	}

	public String root() {
		return name;
	}
	
	public String getName() {
		return name;
	}
	
	public int hashCode () {
		if (name == null) {
			return 0;
		}
		
		return name.hashCode();
	}
	
	public String toString() {
		return name;
	}
	
	public Object clone() {
		SimpleTerm t = (SimpleTerm)super.clone();
		t.name = name;
			
		return t;
	}		
	
}
