package edu.ntua.ivml.qa.utils;

import java.util.Collection;
import java.util.HashSet;
import java.util.Set;

public class SetUtils {

	public static <U> Set<U> intersection(Collection<U> s1, Collection<U> s2) {
		
		Set<U> res = new HashSet<U>();
		
		for (U o : s1) {
			if (s2.contains(o)) {
				res.add(o);
			}
		}
		return res;
	}	
	
	public static <U> Set<U> union(Collection<U>... sets) {
		
		Set<U> res = new HashSet<U>();
		
		for (Collection<U> s : sets) {
			res.addAll(s);
		}

		return res;
	}

	
}
